: Get a specific collection

API: loc.gov:library-of-congress-api
Endpoint: /collections/{name}/
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 925ms

Description

Returns details and items for a specific digital collection by name.

Parameters (5)

c (integer, query, optional, default: 25)

Count/items per page

fo (string, query, optional, default: json)

Output format

Constraints: {'enum': ['json', 'yaml']}

name (string, path, required)

Collection name identifier

q (string, query, optional)

Search within collection

sp (integer, query, optional)

Start page number

Examples (1)

Get items from the Liturgical Chants collection probe-gate
curl 'https://www.loc.gov/collections/tenth-to-sixteenth-century-liturgical-chants/?fo=json&c=10'
import requests

resp = requests.get(
    "https://www.loc.gov/collections/tenth-to-sixteenth-century-liturgical-chants/",
    params={
        'fo': 'json',
        'c': '10',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("library-of-congress")
result = api.fetch("collections/{name}/", fo="json", c=10)

for item in result:
    print(item)
const resp = await fetch("https://www.loc.gov/collections/tenth-to-sixteenth-century-liturgical-chants/?fo=json&c=10");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:09:10.176658 200 925ms
2026-04-15 00:15:16.650165 200 776ms
2026-04-14 02:23:09.320902 200 959ms
2026-04-12 15:40:34.253864 ERR
2026-04-10 02:01:28.910399 ERR
2026-04-09 03:39:58.023038 200 1166ms
2026-04-08 00:10:16.784974 200 764ms
2026-04-07 01:11:02.617032 200 1064ms
2026-04-06 04:23:01.632445 200 792ms
2026-04-05 02:04:20.883728 200 1110ms
2026-04-04 03:20:17.141799 200 518ms
2026-04-03 12:42:33.189575 200 821ms
2026-03-30 02:29:21.325084 200 733ms
2026-03-29 13:40:01.404722 200 1426ms